Cazana

Advert feature set

Insights pulled from advert text: detected features, modifications and service-history mentions.

GET/advert-feature-set/1.0

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

string · date | datetime
optional

Filter insights by date - insights will be calculated from results _before_ provided date.

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

date?string · date | datetime

Filter insights by date - insights will be calculated from results _before_ provided date.

Formatdate | datetime

Responses

application/json
{
  "make": "BMW",
  "model": "3 Series Hybrid PHEV",
  "trim": "330e M Sport",
  "copart": false,
  "features": [
    "Basic Cruise control"
  ],
  "featuresCount": 5,
  "featuresWords": "Cruise",
  "marketplace": false,
  "modifications": [
    "exhaust"
  ],
  "modificationsCount": 1,
  "modificationsWords": [
    "exhaust"
  ],
  "serviceHistory": [
    "Full service history"
  ],
  "serviceHistoryCount": 1,
  "serviceHistoryWords": [
    "Full service history"
  ]
}
make?string
model?string
trim?string
copart?boolean
features?string[]
featuresCount?number
featuresWords?string
marketplace?boolean
modifications?string[]
modificationsCount?number
modificationsWords?string[]
serviceHistory?string[]
serviceHistoryCount?number
serviceHistoryWords?string[]

Code samples

curl --request GET \
  --url 'https://api.cazana.com/advert-feature-set/1.0?vrm=AB12CDE&vin=SALGA2BU8HA000000&date=2020-10-31' \
  --header 'Authorization: bearer YOUR_API_KEY'